{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Sends a test webhook event to the specified destination URL to verify the webhook endpoint \nis reachable and properly configured. This allows customers to validate their webhook \nconfiguration before creating the actual webhook resource.\n\nThe test payload includes:\n- event_type: \"webhook.test\"\n- timestamp: Current UTC timestamp\n- message: Test message indicating this is from Cloudflare CASB\n- data: Object with test: true\n","properties":{"path":{"type":"object","properties":{"account_id":{"type":"string","examples":["46148281d8a93d002ef242d8b0d5f9f6"],"description":"Cloudflare account ID for the user making the request."}},"required":["account_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/posture-api_EvaluateNewWebhookRequest"}},"required":["path","body"],"additionalProperties":false,"definitions":{"posture-api_EvaluateNewWebhookRequest":{"description":"Request body for testing a webhook configuration before creating it.","type":"object","properties":{"authentication_type":{"description":"Type of authentication to use for the test webhook request.","type":"string","enum":["Basic Auth","None","Bearer Auth","Static Headers","HMAC-Signing"],"examples":["HMAC-Signing"]},"destination_url":{"description":"Target URL to send the test webhook event to.","type":"string","format":"uri","examples":["https://example.com/webhook"]},"headers":{"description":"List of custom headers to include in the test webhook request.","type":"array","items":{"$ref":"#/definitions/posture-api_WebhookHeaderInput"},"examples":[[{"key":"X-Custom-Header","value":"value"}]]},"signing_secret":{"description":"Secret key used for HMAC signing when authentication_type is \"HMAC-Signing\".","type":"string","examples":["my-secret-key"]}},"required":["destination_url","authentication_type"]},"posture-api_WebhookHeaderInput":{"description":"A header to include in webhook requests. On Create/Evaluate, both key and value are required. On Update, omitting value means \"keep existing value\".","type":"object","properties":{"key":{"description":"Header key name.","type":"string","maxLength":255,"examples":["Authorization"]},"value":{"description":"Header value. Required on Create and Evaluate. On Update, omit or set to null to keep existing value.","type":["string","null"],"maxLength":4096,"examples":["Bearer token123"]}},"required":["key"]}}},"name":"Test a webhook configuration before creating it","id":"cloudflare.evaluatenewwebhook","example":{"path":{"account_id":"46148281d8a93d002ef242d8b0d5f9f6"},"body":{"destination_url":"https://example.com/webhook","authentication_type":"HMAC-Signing"}},"maxRequests":1,"summary":false}}